当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 不能更新软件包了?救命!
帖子发表于 : 2008-11-21 14:02 

注册: 2008-11-20 16:58
帖子: 47
送出感谢: 0 次
接收感谢: 0 次
今天早上不能更新软件包了提示
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report.
谁帮帮我啊? :em20


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 不能更新软件包了?救命!
帖子发表于 : 2008-11-21 14:05 

注册: 2008-06-11 11:18
帖子: 107
送出感谢: 0 次
接收感谢: 0 次
在终端里打“dpkg --configure -a”试试,你的出错信息里不是有提示的


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 不能更新软件包了?救命!
帖子发表于 : 2008-11-21 15:10 

注册: 2008-11-20 16:58
帖子: 47
送出感谢: 0 次
接收感谢: 0 次
怎么打开终端啊?
(我是极端菜鸟,不好意思)大侠讲详细点好吧,在线等。


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 不能更新软件包了?救命!
帖子发表于 : 2008-11-21 15:15 
头像

注册: 2008-08-29 21:31
帖子: 1051
送出感谢: 0 次
接收感谢: 2
gege11123 写道:
怎么打开终端啊?
(我是极端菜鸟,不好意思)大侠讲详细点好吧,在线等。


:em20 :em20 大哥,你难道不会用google吗?几秒就能找到答案的事,何必在线等?
按Alt+F2,然后输入gnome-terminal


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 不能更新软件包了?救命!
帖子发表于 : 2008-11-21 15:26 

注册: 2008-11-20 16:58
帖子: 47
送出感谢: 0 次
接收感谢: 0 次
运行命令了,可是提示该命令需要超级用户权限。可我用的是administrator登录的呀是超级用户啊?咋搞?


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 不能更新软件包了?救命!
帖子发表于 : 2008-11-21 15:31 
头像

注册: 2008-08-29 21:31
帖子: 1051
送出感谢: 0 次
接收感谢: 2
sudo dpkg --configure -a就行了
linux没有所谓的administrator,linux的超级用户是root,你的用户不管是叫admin还是administrator,只要不在root用户组内,就是一个普通用户而已。


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 不能更新软件包了?救命!
帖子发表于 : 2008-11-21 15:41 

注册: 2008-11-20 16:58
帖子: 47
送出感谢: 0 次
接收感谢: 0 次
非常感谢已经搞定了。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译